Prolifto
API reference

Addresses

Customer addresses

Create

POST
/addresses/create

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/addresses/create" \  -H "Content-Type: application/json" \  -d '{    "city": "string",    "country": "string",    "line1": "string",    "line2": "string",    "postalCode": "string",    "state": "string",    "type": "BILLING",    "customerId": "string"  }'
{}

Delete

POST
/addresses/delete

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/addresses/delete" \  -H "Content-Type: application/json" \  -d '{    "addressId": "string"  }'
{}

Get Many

GET
/{organizationSlug}/addresses

Path Parameters

organizationSlug*string
Length1 <= length

Query Parameters

customerId*string
Length1 <= length
deletedOnly?boolean
Defaultfalse
limit?number
Default10
Range1 <= value <= 100
orderBy?array<>
Default["created_desc"]
page?number
Default1
Range1 <= value

Response Body

application/json

curl -X GET "https://www.prolifto.store/api/string/addresses?customerId=string"
{}

Get One

GET
/{organizationSlug}/addresses/{addressId}

Path Parameters

organizationSlug*string
Length1 <= length
addressId*string
Length1 <= length

Response Body

application/json

curl -X GET "https://www.prolifto.store/api/string/addresses/string"
{}